TypeSearchability (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.engine.jdbc.internal
Enum TypeSearchability

    java.lang.Object
      java.lang.Enum<TypeSearchability>
          org.hibernate.engine.jdbc.internal.TypeSearchability

All Implemented Interfaces:
  Serializable, Comparable<TypeSearchability>

    public enum TypeSearchability

extends Enum<TypeSearchability>

Describes the searchability of a data type as reported by the JDBC driver.

Enum Constant Summary
`BASIC` Type is supported only in {@code WHERE ...
`CHAR` Type is valid only in {@code WHERE ...
`FULL` Type is fully searchable
`NONE` Type is not searchable.

Method Summary
`static TypeSearchability` | `interpret(short code)` Based on the code retrieved from `DatabaseMetaData.getTypeInfo()` for the `SEARCHABLE` column, return the appropriate enum.
`static TypeSearchability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TypeSearchability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final TypeSearchability NONE

  Type is not searchable.

  See Also:
    `DatabaseMetaData.typePredNone`

### FULL

    public static final TypeSearchability FULL

  Type is fully searchable

  See Also:
    `DatabaseMetaData.typeSearchable`

### CHAR

    public static final TypeSearchability CHAR

  Type is valid only in `WHERE ... LIKE`

  See Also:
    `DatabaseMetaData.typePredChar`

### BASIC

    public static final TypeSearchability BASIC

  Type is supported only in `WHERE ... LIKE`

  See Also:
    `DatabaseMetaData.typePredBasic`

Method Detail

### values

    public static TypeSearchability[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TypeSearchability c : TypeSearchability.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TypeSearchability valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### interpret

    public static TypeSearchability interpret(short code)

  Based on the code retrieved from `DatabaseMetaData.getTypeInfo()` for the `SEARCHABLE` column, return the appropriate enum.

  Parameters:
    `code` - The retrieved code value.
  Returns:
    The corresponding enum.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.